<template>
  <div>
    <form :action="action" id="auto" method="POST">
      <input type="hidden" :name="tokenName" v-model="tokenValue" />
    </form>
  </div>
</template>

<script type="text/javascript">
export default {
  data() {
    return {
      action: "",
      tokenValue: "",
      tokenName: "",
    };
  },

  created() {
    this.tokenValue = this.$route.query.tokenValue;
    this.tokenName = this.$route.query.tokenName;
    this.action = this.$route.query.action;
  },

  mounted() {
    document.getElementById("auto").submit();
  },
};
</script>
